Stage a DKIM selector rotation
Creates a new DKIM signing key and returns its public DKIM record.
Creates a new DKIM signing key and returns its public DKIM record. Publish it, then advance domain verification to switch signing to the new key. Keep the former record published at least until minimumRetainUntil.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^dom_[0-9a-hjkmnp-tv-z]{16,24}$Header Parameters
idempotency-key*string
Length
1 <= length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/email/domains/string/rotate-dkim" \ -H "idempotency-key: string"{ "id": "string", "domainId": "string", "phase": "staged", "selector": "string", "record": { "name": "string", "type": "TXT", "value": "string", "ttl": "string" }, "formerRecord": { "name": "string", "type": "TXT", "value": "string" }, "minimumRetainUntil": "string"}